Cash-Out API

Endpoints para operaciones de tipo cash-out

Modifica una operacion de tipo cash-out

PATCH /internal/admin/cash_outs/:cash_out_id

Modificacion

Parameters

Name Description
next_state Nuevo estado, opciones: confirm, complete, cancel
file File

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

PATCH /internal/admin/cash_outs/100

Body

{"next_state":"complete","file":{"original_filename":"test.jpg","tempfile":"#\u003cFile:0x00007f937210ed90\u003e","content_type":"text/plain"}}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json
Cache-Control: no-cache
X-Request-Id: 866aa7bc-0111-4b54-bd14-18cbc483ebb2
X-Runtime: 0.068781
Vary: Origin
Content-Length: 0

Status

200 OK